using System;
using System.Runtime.InteropServices;

namespace SharpQuake
{
	[StructLayout(LayoutKind.Sequential, Pack = 1)]
	internal struct dmodel_t
	{
		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 3)]
		public float[] mins;

		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 3)]
		public float[] maxs;

		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 3)]
		public float[] origin;

		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 4)]
		public int[] headnode;

		public int visleafs;

		public int firstface;

		public int numfaces;

		public static int SizeInBytes = Marshal.SizeOf(typeof(dmodel_t));
	}
}
